import org.springframework.context.ApplicationContext
import grails.spring.BeanBuilder

class BeanA {
  String name
}
class BeanB {
  String name
  BeanA parent
}
def bb = new BeanBuilder()
bb.beans {
  beanAParent(BeanA){
    name="bean A parent"
  }
}
def builder = new BeanBuilder(bb.createApplicationContext())
builder.beans {
  beanA(BeanA){
    name="bean a"
  }
  beanBParent(BeanB){
    name="bean b"
    parent=ref("beanAParent",true)
  }
}

ApplicationContext ctx = builder.createApplicationContext()
println ctx.beanBParent.parent.name
